libidn 1.43

Macros | Functions
strerror-punycode.c File Reference
`#include "punycode.h"`
`#include "gettext.h"`

Go to the source code of this file.

## Macros
#define | _(String)

## Functions
const char * | punycode_strerror (Punycode_status rc)

## Macro Definition Documentation

## ◆ _

#define _ | ( |  | String | ) |

Value:
dgettext (PACKAGE, String)

Definition at line 37 of file strerror-punycode.c.

## Function Documentation

## ◆ punycode_strerror()

const char * punycode_strerror | ( | Punycode_status | rc | ) |

punycode_strerror:

Parameters

  rc | an Punycode_status return code.

Convert a return code integer to a text string. This string can be used to output a diagnostic message to the user.

PUNYCODE_SUCCESS: Successful operation. This value is guaranteed to always be zero, the remaining ones are only guaranteed to hold non-zero values, for logical comparison purposes. PUNYCODE_BAD_INPUT: Input is invalid. PUNYCODE_BIG_OUTPUT: Output would exceed the space provided. PUNYCODE_OVERFLOW: Input needs wider integers to process.

Return value: Returns a pointer to a statically allocated string containing a description of the error with the return code @rc.

Definition at line 57 of file strerror-punycode.c.